umbrello: UMLEntity Class Reference

umbrello 2.39.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Attributes | List of all members
UMLEntity Class Reference

Non-graphical Information for an Entity. More...

`#include <entity.h>`

Inheritance diagram for UMLEntity:

## Signals
void | entityAttributeAdded (UMLClassifierListItem *)
void | entityAttributeRemoved (UMLClassifierListItem *)
void | entityConstraintAdded (UMLClassifierListItem *)
void | entityConstraintRemoved (UMLClassifierListItem *)
Signals inherited from UMLClassifier
void | operationAdded (UMLClassifierListItem *)
void | operationRemoved (UMLClassifierListItem *)
void | templateAdded (UMLClassifierListItem *)
void | templateRemoved (UMLClassifierListItem *)
void | attributeAdded (UMLClassifierListItem *)
void | attributeRemoved (UMLClassifierListItem *)
Signals inherited from UMLCanvasObject
void | sigAssociationEndAdded (UMLAssociation *assoc)
void | sigAssociationEndRemoved (UMLAssociation *assoc)
Signals inherited from UMLObject
void | modified ()

## Public Member Functions
| UMLEntity (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLEntity ()
bool | operator== (const UMLEntity &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
virtual UMLAttribute * | createAttribute (const QString &name=QString(), UMLObject *type=0, Uml::Visibility::Enum vis=Uml::Visibility::Private, const QString &init=QString())
UMLUniqueConstraint * | createUniqueConstraint (const QString &name=QString())
UMLForeignKeyConstraint * | createForeignKeyConstraint (const QString &name=QString())
UMLCheckConstraint * | createCheckConstraint (const QString &name=QString())
UMLObject * | addEntityAttribute (const QString &name, Uml::ID::Type id=Uml::ID::None)
bool | addEntityAttribute (UMLEntityAttribute *att, IDChangeLog *log=0)
bool | addEntityAttribute (UMLEntityAttribute *att, int position)
int | removeEntityAttribute (UMLClassifierListItem *att)
void | signalEntityAttributeRemoved (UMLClassifierListItem *eattr)
int | entityAttributes () const
bool | setAsPrimaryKey (UMLUniqueConstraint *uconstr)
void | unsetPrimaryKey ()
bool | hasPrimaryKey () const
bool | isPrimaryKey (const UMLUniqueConstraint *uConstr) const
bool | addConstraint (UMLEntityConstraint *constr)
bool | removeConstraint (UMLEntityConstraint *constr)
virtual bool | resolveRef ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
UMLClassifierListItemList | getFilteredList (UMLObject::ObjectType ot) const
UMLEntityAttributeList | getEntityAttributes () const
virtual UMLClassifierListItem * | makeChildObject (const QString &xmiTag)
Public Member Functions inherited from UMLClassifier
| UMLClassifier (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLClassifier ()
virtual void | setNameCmd (const QString &strName)
UMLAttribute * | addAttribute (const QString &name, Uml::ID::Type id=Uml::ID::None)
UMLAttribute * | addAttribute (const QString &name, UMLObject *type, Uml::Visibility::Enum scope)
bool | addAttribute (UMLAttribute *att, IDChangeLog *log=0, int position=-1)
int | removeAttribute (UMLAttribute *att)
UMLAttributeList | getAttributeList () const
UMLAttributeList | getAttributeList (Uml::Visibility::Enum scope) const
UMLAttributeList | getAttributeListStatic (Uml::Visibility::Enum scope) const
UMLOperation * | createOperation (const QString &name=QString(), bool *isExistingOp=0, Model_Utils::NameAndType_List *params=0)
bool | addOperation (UMLOperation *op, int position=-1)
bool | addOperation (UMLOperation *op, IDChangeLog *log)
UMLOperation * | checkOperationSignature (const QString &name, UMLAttributeList opParams, UMLOperation *exemptOp=0) const
int | removeOperation (UMLOperation *op)
int | operations () const
UMLOperationList | getOpList (bool includeInherited=false, UMLClassifierSet *alreadyTraversed=0) const
UMLObject * | createTemplate (const QString &name=QString())
UMLTemplate * | addTemplate (const QString &name, Uml::ID::Type id=Uml::ID::None)
bool | addTemplate (UMLTemplate *newTemplate, IDChangeLog *log=0)
bool | addTemplate (UMLTemplate *templt, int position)
int | removeTemplate (UMLTemplate *umltemplate)
UMLTemplate * | findTemplate (const QString &name) const
int | templates () const
UMLTemplateList | getTemplateList () const
int | takeItem (UMLClassifierListItem *item)
UMLOperationList | findOperations (const QString &n) const
virtual UMLObject * | findChildObjectById (Uml::ID::Type id, bool considerAncestors=false) const
UMLOperation * | findOperation (const QString &name, Model_Utils::NameAndType_List params) const
UMLClassifierList | findSuperClassConcepts (ClassifierType type=ALL) const
UMLClassifierList | findSubClassConcepts (ClassifierType type=ALL) const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum type) const
void | setBaseType (UMLObject::ObjectType ot)
bool | isInterface () const
bool | hasAbstractOps () const
bool | hasAssociations () const
bool | hasAttributes () const
bool | hasStaticAttributes () const
bool | hasMethods () const
bool | hasAccessorMethods () const
bool | hasOperationMethods () const
bool | hasVectorFields () const
void | removeObject (UMLObject *pObject)
virtual UMLAssociationList | getUniAssociationToBeImplemented () const
Public Member Functions inherited from UMLPackage
| UMLPackage (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLPackage ()
bool | addObject (UMLObject *pObject, bool interactOnConflict=true)
virtual void | removeAllObjects ()
UMLObjectList | containedObjects (bool includeInactive=false) const
void | addAssocToConcepts (UMLAssociation *assoc)
void | removeAssocFromConcepts (UMLAssociation *assoc)
UMLObject * | findObject (const QString &name) const
UMLObject * | findObjectById (Uml::ID::Type id) const
void | appendPackages (UMLPackageList &packages, bool includeNested=true) const
void | appendClassifiers (UMLClassifierList &classifiers, bool includeNested=true) const
void | appendClassesAndInterfaces (UMLClassifierList &classifiers, bool includeNested=true) const
void | appendEntities (UMLEntityList &entities, bool includeNested=true) const
Public Member Functions inherited from UMLCanvasObject
| UMLCanvasObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLCanvasObject ()
bool | operator== (const UMLCanvasObject &rhs) const
bool | addAssociationEnd (UMLAssociation *assoc)
bool | hasAssociation (UMLAssociation *assoc) const
int | removeAssociationEnd (UMLAssociation *assoc)
void | removeAllAssociationEnds ()
int | associations () const
UMLAssociationList | getAssociations () const
UMLAssociationList | getSpecificAssocs (Uml::AssociationType::Enum assocType) const
UMLClassifierList | getSuperClasses (bool withRealizations=true) const
UMLClassifierList | getSubClasses () const
virtual UMLAssociationList | getRealizations () const
UMLAssociationList | getAggregations () const
UMLAssociationList | getCompositions () const
UMLAssociationList | getRelationships () const
virtual UMLObject * | findChildObject (const QString &n, UMLObject::ObjectType t=UMLObject::ot_UMLObject) const
virtual QString | uniqChildName (const UMLObject::ObjectType type, const QString &prefix=QString()) const
virtual void | removeAllChildObjects ()
UMLObjectList & | subordinates () const
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype () const
QStringList & | tags ()
QString | package (const QString &separator=QString(), bool includeRoot=false) const
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | showPropertiesDialog (QWidget *parent=0)
virtual bool | loadFromXMI (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
void | save1 (QXmlStreamWriter &writer, const QString &type, const QString &tag=QString())
bool | isUMLActor () const
bool | isUMLArtifact () const
bool | isUMLAssociation () const
bool | isUMLAttribute () const
bool | isUMLCategory () const
bool | isUMLCheckConstraint () const
bool | isUMLClassifier () const
bool | isUMLComponent () const
bool | isUMLDatatype () const
bool | isUMLEntity () const
bool | isUMLEntityAttribute () const
bool | isUMLEntityConstraint () const
bool | isUMLEnum () const
bool | isUMLEnumLiteral () const
bool | isUMLFolder () const
bool | isUMLForeignKeyConstraint () const
bool | isUMLInstance () const
bool | isUMLInstanceAttribute () const
bool | isUMLNode () const
bool | isUMLObject () const
bool | isUMLOperation () const
bool | isUMLPackage () const
bool | isUMLPort () const
bool | isUMLRole () const
bool | isUMLStereotype () const
bool | isUMLTemplate () const
bool | isUMLUniqueConstraint () const
bool | isUMLUseCase () const
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()
const UMLActor * | asUMLActor () const
const UMLArtifact * | asUMLArtifact () const
const UMLAssociation * | asUMLAssociation () const
const UMLAttribute * | asUMLAttribute () const
const UMLCanvasObject * | asUMLCanvasObject () const
const UMLCategory * | asUMLCategory () const
const UMLCheckConstraint * | asUMLCheckConstraint () const
const UMLClassifier * | asUMLClassifier () const
const UMLClassifierListItem * | asUMLClassifierListItem () const
const UMLClassifierSet * | asUMLClassifierSet () const
const UMLComponent * | asUMLComponent () const
const UMLDatatype * | asUMLDatatype () const
const UMLEntity * | asUMLEntity () const
const UMLEntityAttribute * | asUMLEntityAttribute () const
const UMLEntityConstraint * | asUMLEntityConstraint () const
const UMLEnum * | asUMLEnum () const
const UMLEnumLiteral * | asUMLEnumLiteral () const
const UMLFolder * | asUMLFolder () const
const UMLForeignKeyConstraint * | asUMLForeignKeyConstraint () const
const UMLInstance * | asUMLInstance () const
const UMLInstanceAttribute * | asUMLInstanceAttribute () const
const UMLNode * | asUMLNode () const
const UMLObject * | asUMLObject () const
const UMLOperation * | asUMLOperation () const
const UMLPackage * | asUMLPackage () const
const UMLPort * | asUMLPort () const
const UMLRole * | asUMLRole () const
const UMLStereotype * | asUMLStereotype () const
const UMLTemplate * | asUMLTemplate () const
const UMLUniqueConstraint * | asUMLUniqueConstraint () const
const UMLUseCase * | asUMLUseCase () const

## Protected Member Functions
bool | load1 (QDomElement &element)
Protected Member Functions inherited from UMLClassifier
Protected Member Functions inherited from UMLPackage
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()
void | save1end (QXmlStreamWriter &writer)

## Private Slots
void | slotEntityAttributeRemoved (UMLClassifierListItem *)

## Private Attributes
UMLUniqueConstraint * | m_PrimaryKey

## Additional Inherited Members
Public Types inherited from UMLClassifier
enum | ClassifierType { ALL = 0 , CLASS , INTERFACE , DATATYPE }
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1 , ot_UMLObject = 100 , ot_Actor , ot_UseCase , ot_Package , ot_Interface , ot_Datatype , ot_Enum , ot_Class , ot_Instance , ot_Association , ot_Attribute , ot_Operation , ot_EnumLiteral , ot_Template , ot_Component , ot_Artifact , ot_Node , ot_Stereotype , ot_Role , ot_Entity , ot_EntityAttribute , ot_Folder , ot_EntityConstraint , ot_UniqueConstraint , ot_ForeignKeyConstraint , ot_CheckConstraint , ot_Category , ot_Port , ot_InstanceAttribute , ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Attributes inherited from UMLPackage
UMLObjectList | m_objects
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id
QString | m_Doc
| object's documentation
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable
QString | m_name
| objects name
ObjectType | m_BaseType
| objects type
Uml::Visibility::Enum | m_visibility
| objects visibility
bool | m_bAbstract
| state of whether the object is abstract or not
bool | m_bStatic
| flag for instance scope
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated()
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
QStringList | m_TaggedValues
UMLObjectPrivate * | m_d
| private data

## Detailed Description

Non-graphical Information for an Entity.

This class contains the non-graphical information required for a UML Entity. This class inherits from UMLClassifier which contains most of the information.

Author
  Jonathan Riddell Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLEntity()

UMLEntity::UMLEntity | ( | const QString & | name = QString(),
|  | Uml::ID::Type | id = Uml::ID::None )
| explicit

Constructor.

## ◆ ~UMLEntity()

UMLEntity::~UMLEntity | ( |  | ) |
| virtual

Standard destructor.

## Member Function Documentation

## ◆ addConstraint()

bool UMLEntity::addConstraint | ( | UMLEntityConstraint * | constr | ) |

Adds a Constraint to this UMLEntity. To set a UMLUniqueConstraint as Primary Key use setAsPrimaryKey.

Parameters

  constr | The UMLEntityConstraint that is to be added

Returns
  true if the constraint could be added successfully

## ◆ addEntityAttribute() [1/3]

UMLObject * UMLEntity::addEntityAttribute | ( | const QString & | name,
|  | Uml::ID::Type | id = Uml::ID::None )

Adds an entityAttribute. The entityAttribute object must not belong to any other classifier.

Parameters

  name | name of the UMLEntityAttribute
  id | id of the UMLEntityAttribute

Returns
  True if the entityAttribute was successfully added.

## ◆ addEntityAttribute() [2/3]

bool UMLEntity::addEntityAttribute | ( | UMLEntityAttribute * | att,
|  | IDChangeLog * | log = 0 )

Adds an already created entityAttribute. The entityAttribute object must not belong to any other classifier.

Parameters

  att | Pointer to the UMLEntityAttribute.
  log | Pointer to the IDChangeLog.

Returns
  True if the entityAttribute was successfully added.

## ◆ addEntityAttribute() [3/3]

bool UMLEntity::addEntityAttribute | ( | UMLEntityAttribute * | att,
|  | int | position )

Adds an entityAttribute to the entity, at the given position. If position is negative or too large, the entityAttribute is added to the end of the list. TODO: give default value -1 to position (append) - now it conflicts with the method above..

Parameters

  att | Pointer to the UMLEntityAttribute.
  position | Position index for the insertion.

Returns
  True if the entityAttribute was successfully added.

## ◆ clone()

UMLObject * UMLEntity::clone | ( |  | ) | const
| virtual

Make a clone of this object.

Reimplemented from UMLClassifier.

## ◆ copyInto()

void UMLEntity::copyInto | ( | UMLObject * | lhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

Reimplemented from UMLClassifier.

## ◆ createAttribute()

UMLAttribute * UMLEntity::createAttribute | ( | const QString & | name = QString(),
|  | UMLObject * | type = 0,
|  | Uml::Visibility::Enum | vis = Uml::Visibility::Private,
|  | const QString & | iv = QString() )
| virtual

Create a UMLAttribute.

Parameters

  name | an optional name for the attribute
  type | an optional type object for the attribute
  vis | the visibility of the attribute
  iv | the initial value for the attribute

Returns
  the just created attribute or null

Reimplemented from UMLClassifier.

## ◆ createCheckConstraint()

UMLCheckConstraint * UMLEntity::createCheckConstraint | ( | const QString & | name = QString() | ) |

Creates a Check Constraint for this Entity.

Parameters

  name | an optional name

Returns
  the CheckConstraint created

## ◆ createForeignKeyConstraint()

UMLForeignKeyConstraint * UMLEntity::createForeignKeyConstraint | ( | const QString & | name = QString() | ) |

Creates a Foreign Key Constraint for this Entity.

Parameters

  name | an optional name

Returns
  the ForeignKeyConstraint created

## ◆ createUniqueConstraint()

UMLUniqueConstraint * UMLEntity::createUniqueConstraint | ( | const QString & | name = QString() | ) |

Creates a Unique Constraint for this Entity.

Parameters

  name | an optional name

Returns
  the UniqueConstraint created

Todo
  check parameter

## ◆ entityAttributeAdded

void UMLEntity::entityAttributeAdded | ( | UMLClassifierListItem * |  | ) |
| signal

## ◆ entityAttributeRemoved

void UMLEntity::entityAttributeRemoved | ( | UMLClassifierListItem * |  | ) |
| signal

## ◆ entityAttributes()

int UMLEntity::entityAttributes | ( |  | ) | const

Returns the number of entityAttributes for the class.

Returns
  The number of entityAttributes for the class.

## ◆ entityConstraintAdded

void UMLEntity::entityConstraintAdded | ( | UMLClassifierListItem * |  | ) |
| signal

## ◆ entityConstraintRemoved

void UMLEntity::entityConstraintRemoved | ( | UMLClassifierListItem * |  | ) |
| signal

## ◆ getEntityAttributes()

UMLEntityAttributeList UMLEntity::getEntityAttributes | ( |  | ) | const

Returns the Entity Attributes. Same as getFilteredList(UMLObject::ot_EntityAttribute).

## ◆ getFilteredList()

UMLClassifierListItemList UMLEntity::getFilteredList | ( | UMLObject::ObjectType | ot | ) | const
| virtual

Reimplementation of getFilteredList to support ot=UMLObject::ot_EntityConstraint.

Reimplemented from UMLClassifier.

## ◆ hasPrimaryKey()

bool UMLEntity::hasPrimaryKey | ( |  | ) | const

Checks if This UMLEntity has a primary key set.

Returns
  true if a Primary Key Exists for this UMLEntity

## ◆ isPrimaryKey()

bool UMLEntity::isPrimaryKey | ( | const UMLUniqueConstraint * | uConstr | ) | const

Checks if a given Unique Constraint is primary key of this entity

Parameters

  uConstr | a Unique Constraint

Returns
  bool true if passed parameter is a primary key of this entity

## ◆ load1()

bool UMLEntity::load1 | ( | QDomElement & | element | ) |
| protectedvirtual

Loads the <UML:Entity> element including its entityAttributes.

Reimplemented from UMLClassifier.

## ◆ makeChildObject()

UMLClassifierListItem * UMLEntity::makeChildObject | ( | const QString & | xmiTag | ) |
| virtual

Create a new ClassifierListObject (entityattribute) according to the given XMI tag. Returns NULL if the string given does not contain one of the tags <UML:EntityAttribute> Used by the clipboard for paste operation. Reimplemented from UMLClassifier for UMLEntity

Reimplemented from UMLClassifier.

## ◆ operator==()

bool UMLEntity::operator== | ( | const UMLEntity & | rhs | ) | const

Overloaded '==' operator.

## ◆ removeConstraint()

bool UMLEntity::removeConstraint | ( | UMLEntityConstraint * | constr | ) |

Removes an existing constraint from this UMLEntity. If the Constraint is a Primary Key, this Entity will no longer have a PrimaryKey.

Parameters

  constr | the constraint to be removed

Returns
  true if the constraint could be removed successfully

## ◆ removeEntityAttribute()

int UMLEntity::removeEntityAttribute | ( | UMLClassifierListItem * | att | ) |

Removes an entityAttribute from the class.

Parameters

  att | The entityAttribute to remove.

Returns
  Count of the remaining entityAttributes after removal. Returns -1 if the given entityAttribute was not found.

## ◆ resolveRef()

bool UMLEntity::resolveRef | ( |  | ) |
| virtual

Resolve the types referenced by our UMLEntityAttributes. Reimplements the method from UMLClassifier.

Reimplemented from UMLClassifier.

## ◆ saveToXMI()

void UMLEntity::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Creates the <UML:Entity> element including its entityliterals.

Reimplemented from UMLClassifier.

## ◆ setAsPrimaryKey()

bool UMLEntity::setAsPrimaryKey | ( | UMLUniqueConstraint * | uconstr | ) |

Sets the UniqueConstraint passed as the Primary Key of this Entity If the UniqueConstraint exists, then it is made a primary key Else the UniqueConstraint is added and set as PrimaryKey

Parameters

  uconstr | The Unique Constraint that is to be set as Primary Key

Returns
  true if Primary key could be set successfully

## ◆ signalEntityAttributeRemoved()

void UMLEntity::signalEntityAttributeRemoved | ( | UMLClassifierListItem * | eattr | ) |

Emit the entityAttributeRemoved signal.

## ◆ slotEntityAttributeRemoved

void UMLEntity::slotEntityAttributeRemoved | ( | UMLClassifierListItem * | cli | ) |
| privateslot

Slot for entity attribute removed.

## ◆ unsetPrimaryKey()

void UMLEntity::unsetPrimaryKey | ( |  | ) |

Unset a Primary Key Constraint if it exists, else does nothing This function will make the primary key into just another UniqueConstraint if it exists

## Member Data Documentation

## ◆ m_PrimaryKey

UMLUniqueConstraint* UMLEntity::m_PrimaryKey
| private

Primary Key of this Entity This is a pointer kept for easy access to the primary key, and to distinguish it from all other UniqueConstraints. It is also there in subordinates (inherited from UMLCanvasObject)

The documentation for this class was generated from the following files:

- umbrello/umlmodel/entity.h
- umbrello/umlmodel/entity.cpp